<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>GormGeneralPref class documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$GormGeneralPref">GormGeneralPref class documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
    </div>

          <h1><a name="001000000000">
        Software documentation for the GormGeneralPref class
      </a></h1>
    <h2><a name="class$GormGeneralPref">GormGeneralPref</a> : NSObject</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormPrefs/GormGeneralPref.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="50%" align="left" />
    <a href="#_GormGeneralPref_ivars">Instance Variables</a>
    <br/><br/>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormGeneralPref.html#method$GormGeneralPref-backupAction$">-backupAction:</a></li>
      <li><a rel="gsdoc" href="GormGeneralPref.html#method$GormGeneralPref-classesAction$">-classesAction:</a></li>
      <li><a rel="gsdoc" href="GormGeneralPref.html#method$GormGeneralPref-consistencyAction$">-consistencyAction:</a></li>
      <li><a rel="gsdoc" href="GormGeneralPref.html#method$GormGeneralPref-view">-view</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormGeneralPref-backupAction$">backupAction:&nbsp;</a></h3>
    - (void) <b>backupAction:</b> (id)sender;<br />
    <div class="desc">
      
            Should create a backup file.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGeneralPref-classesAction$">classesAction:&nbsp;</a></h3>
    - (void) <b>classesAction:</b> (id)sender;<br />
    <div class="desc">
      
            Show the classes view as a browser or an outline.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGeneralPref-consistencyAction$">consistencyAction:&nbsp;</a></h3>
    - (void) <b>consistencyAction:</b> (id)sender;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGeneralPref-view">view&nbsp;</a></h3>
    - (NSView*) <b>view</b>;<br />
    <div class="desc">
      
            View to be shown.
          
    </div>
    <hr width="25%" align="left" />
</div>
<a name="_GormGeneralPref_ivars"/>    <br/><hr width="50%" align="left" />
    <h2>Instance Variables for GormGeneralPref Class</h2>
    <h3><a name="ivariable$GormGeneralPref*_view">_view</a></h3>
    @protected id <b>_view</b>;<br />
    <div class="desc">
      
            <em>Warning</em> the underscore at the start of the
            name of this instance variable indicates that, even
            though it is not technically <em>private</em>, it is
            intended for internal use within the package, and
            you should not use the variable in other code.
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormGeneralPref*backupButton">backupButton</a></h3>
    @protected id <b>backupButton</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormGeneralPref*checkConsistency">checkConsistency</a></h3>
    @protected id <b>checkConsistency</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormGeneralPref*interfaceMatrix">interfaceMatrix</a></h3>
    @protected id <b>interfaceMatrix</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormGeneralPref*window">window</a></h3>
    @protected id <b>window</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <br/><hr width="50%" align="left" /><br/>
    <br />
    </font>
</body>
</html>
